---
title: Symbol.prototype.toString()
slug: Web/JavaScript/Reference/Global_Objects/Symbol/toString
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - Symbol
---
<div>{{JSRef}}</div>

<p>The <strong><code>toString()</code></strong> method returns a string representing the specified {{jsxref("Symbol")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/symbol-prototype-tostring.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">Symbol().toString()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the specified {{jsxref("Symbol")}} object.</p>

<h2 id="Description">Description</h2>

<p>The {{jsxref("Symbol")}} object overrides the <code>toString</code> method of the {{jsxref("Object")}} object; it does not inherit {{jsxref("Object.prototype.toString()")}}. For <code>Symbol</code> objects, the <code>toString</code> method returns a string representation of the object.</p>

<h3 id="No_string_concatenation">No string concatenation</h3>

<p>While you can call <code>toString()</code> on Symbols, you cannot use string concatenation with them:</p>

<pre class="brush: js notranslate">Symbol('foo') + 'bar'        // TypeError: Can't convert symbol to string</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toString">Using toString()</h3>

<pre class="brush: js notranslate">Symbol('desc').toString()    // "Symbol(desc)"

// well-known symbols
Symbol.iterator.toString()   // "Symbol(Symbol.iterator)

// global symbols
Symbol.for('foo').toString() // "Symbol(foo)"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-symbol.prototype.tostring', 'Symbol.prototype.toString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Symbol.toString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toString()")}}</li>
</ul>
